Get a conversation. Run in API Explorer
Ask AI
GET
/api/v1/conversation/{uuid}
curl \
--request GET 'https://api.plannrcrm.com/api/v1/conversation/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"uuid": "aaf55d05-62e9-434a-bd6a-e46c1ca3683e",
"created_at": "2026-10-30T16:30:03+00:00",
"updated_at": "2026-10-30T16:30:03+00:00",
"name": "Welcome to Plannr",
"slug": "welcome-to-plannr",
"belongs_to_case": true,
"case": {
"uuid": "c7b3f479-3119-4202-9290-aeceaf1bbd67",
"created_at": "2026-10-30T16:30:03+00:00",
"updated_at": "2026-10-30T16:30:03+00:00",
"name": "finance",
"slug": "finance",
"status": {
"uuid": "f0f7fabb-8676-414d-9405-7cc3accb2fc5",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"name": "To Be Reviewed",
"colour": "#23852B",
"position": 5,
"is_type_completed": false
},
"type": {
"uuid": null,
"name": "Mortgage Plan",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00"
},
"review_at": "2026-10-30T16:30:03+00:00",
"assigned_to_uuids": [
"225d16a5-864b-42ee-bad1-384ed136bcd3"
],
"group_uuids": [
"f98d5e38-79fb-4735-a9e7-9700324310bb"
],
"completed_at": "2026-10-30T16:30:03+00:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"status_position": 4,
"participants_count": 4,
"participants": {
"uuid": "b9a5c53b-bb48-4c59-ad23-26085de03735",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-30T16:30:12+00:00",
"next_review_date": "2026-10-30T16:30:12+00:00",
"previous_review_date": "2026-10-30T16:30:12+00:00",
"anniversary_review_date": "2026-10-30T16:30:12+00:00",
"terms_of_business_at": "2026-10-30T16:30:12+00:00",
"client_agreement_at": "2026-10-30T16:30:12+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-30",
"last_interaction_at": "2026-10-30 16:30:12",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-30T16:30:12+00:00",
"out_of_office_until": "2026-10-30T16:30:12+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"task_board_uuid": "b278e294-f4fa-4d24-9b37-be1050e530f6",
"plans": {
"uuid": "6e7afb0e-5584-469d-84a4-3814c6a1ea3b",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"opened_at": "2026-10-30T16:30:12+00:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-10-30T16:30:12+00:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-10-30",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-10-30",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"valued_at": "2026-10-30T16:30:12+00:00",
"original_valued_at": "2026-10-29T16:30:12+00:00",
"statistics": {
"recent_growth": 100
},
"is_wrap_product": false,
"is_wrap_child": false,
"can_be_deleted": "false"
},
"custom_fields": {
"uuid": null,
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
}
},
"participants_count": 3,
"participants": [
{
"uuid": "23613716-5dfa-45f4-b72d-f768126c6b41",
"created_at": "2026-10-30T16:30:03+00:00",
"updated_at": "2026-10-30T16:30:03+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "1f862346-f3aa-4165-a914-a92b12a0f570",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "29b5cf28-9e3f-40bd-b64b-dcb5077bb47a",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "29b5cf28-9e3f-40bd-b64b-dcb5077bb47a",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "dcab7beb-fe50-4854-9b44-45609220b8f2",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-10-30T15:40:12+00:00",
"end_date": "2026-10-30T16:08:12+00:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "b9a5c53b-bb48-4c59-ad23-26085de03735",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-30T16:30:12+00:00",
"next_review_date": "2026-10-30T16:30:12+00:00",
"previous_review_date": "2026-10-30T16:30:12+00:00",
"anniversary_review_date": "2026-10-30T16:30:12+00:00",
"terms_of_business_at": "2026-10-30T16:30:12+00:00",
"client_agreement_at": "2026-10-30T16:30:12+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-30",
"last_interaction_at": "2026-10-30 16:30:12",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-30T16:30:12+00:00",
"out_of_office_until": "2026-10-30T16:30:12+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"assigned_administrator": {
"uuid": "b9a5c53b-bb48-4c59-ad23-26085de03735",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-30T16:30:12+00:00",
"next_review_date": "2026-10-30T16:30:12+00:00",
"previous_review_date": "2026-10-30T16:30:12+00:00",
"anniversary_review_date": "2026-10-30T16:30:12+00:00",
"terms_of_business_at": "2026-10-30T16:30:12+00:00",
"client_agreement_at": "2026-10-30T16:30:12+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-30",
"last_interaction_at": "2026-10-30 16:30:12",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-30T16:30:12+00:00",
"out_of_office_until": "2026-10-30T16:30:12+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"assigned_paraplanner": {
"uuid": "b9a5c53b-bb48-4c59-ad23-26085de03735",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-30T16:30:12+00:00",
"next_review_date": "2026-10-30T16:30:12+00:00",
"previous_review_date": "2026-10-30T16:30:12+00:00",
"anniversary_review_date": "2026-10-30T16:30:12+00:00",
"terms_of_business_at": "2026-10-30T16:30:12+00:00",
"client_agreement_at": "2026-10-30T16:30:12+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-30",
"last_interaction_at": "2026-10-30 16:30:12",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-30T16:30:12+00:00",
"out_of_office_until": "2026-10-30T16:30:12+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"introduced_by": {
"uuid": "b9a5c53b-bb48-4c59-ad23-26085de03735",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-30T16:30:12+00:00",
"next_review_date": "2026-10-30T16:30:12+00:00",
"previous_review_date": "2026-10-30T16:30:12+00:00",
"anniversary_review_date": "2026-10-30T16:30:12+00:00",
"terms_of_business_at": "2026-10-30T16:30:12+00:00",
"client_agreement_at": "2026-10-30T16:30:12+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-30",
"last_interaction_at": "2026-10-30 16:30:12",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-30T16:30:12+00:00",
"out_of_office_until": "2026-10-30T16:30:12+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"business_unit": {
"uuid": "50a48006-9bce-4f21-b381-7cda00fadac3",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00"
},
"tags": {
"uuid": "e364f050-6872-4bbe-86ae-19b48d88dbca",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"marketing_consent": {
"email": "opted_in",
"phone": "opted_out",
"letter": "not_captured",
"sms": "not_captured"
},
"owners": {
"uuid": "b9a5c53b-bb48-4c59-ad23-26085de03735",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-30T16:30:12+00:00",
"next_review_date": "2026-10-30T16:30:12+00:00",
"previous_review_date": "2026-10-30T16:30:12+00:00",
"anniversary_review_date": "2026-10-30T16:30:12+00:00",
"terms_of_business_at": "2026-10-30T16:30:12+00:00",
"client_agreement_at": "2026-10-30T16:30:12+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-30",
"last_interaction_at": "2026-10-30 16:30:12",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-30T16:30:12+00:00",
"out_of_office_until": "2026-10-30T16:30:12+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"first_contact_date": "2026-10-30T16:30:03+00:00",
"next_review_date": "2026-10-30T16:30:03+00:00",
"previous_review_date": "2026-10-30T16:30:03+00:00",
"anniversary_review_date": "2026-10-30T16:30:03+00:00",
"terms_of_business_at": "2026-10-30T16:30:03+00:00",
"client_agreement_at": "2026-10-30T16:30:03+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "cfdd20ea-b9ee-4d97-9783-a65ee367e4cd",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-10-30T16:30:12+00:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "5a28939a-9281-4baa-a966-e3142572b58a",
"login_access_level": "write",
"current_life_stage_uuid": "230b09bb-6d38-4bdb-afe0-42566708db6e"
},
"circles": {
"uuid": "cfdd20ea-b9ee-4d97-9783-a65ee367e4cd",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-10-30T16:30:12+00:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "5a28939a-9281-4baa-a966-e3142572b58a",
"login_access_level": "write",
"current_life_stage_uuid": "230b09bb-6d38-4bdb-afe0-42566708db6e"
},
"ownership_percentage": 100,
"inactive_at": "2026-10-30",
"last_interaction_at": "2026-10-30 16:30:03",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-30T16:30:03+00:00",
"out_of_office_until": "2026-10-30T16:30:03+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"service_level": {
"uuid": "38a44c62-e348-4fb0-8ac4-77414347d0f7",
"name": "Gold",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00"
},
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false,
"custom_fields": {
"uuid": null,
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "239840c7-476b-43a0-b194-d63787e8cb83",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
],
"latest_message": {
"uuid": "49d66a7c-b2ad-40c6-998f-77cbb77e511b",
"created_at": "2026-10-30T16:30:03+00:00",
"updated_at": "2026-10-30T16:30:03+00:00",
"deleted_at": "2026-10-30T16:30:03+00:00",
"contents": "Welcome to Plannr!",
"edited": true,
"is_auto_reply": false,
"files": {
"uuid": "595dd963-c914-4a8f-8c21-82753239415c",
"created_at": "2026-10-30T16:30:12+00:00",
"original_created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"uploaded_at": "2026-10-30T16:30:12+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-10-30T16:30:12+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/a8c4f2b2-8d7a-4a86-8916-f779ed5aec3a/download",
"preview_url": "https://api.plannrcrm.com/file/0cc15217-2a66-4fd5-9ba6-3f087d272ea0/preview",
"folder_name": "folder 2",
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": null
}
},
"author": {
"uuid": "b9a5c53b-bb48-4c59-ad23-26085de03735",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-30T16:30:12+00:00",
"next_review_date": "2026-10-30T16:30:12+00:00",
"previous_review_date": "2026-10-30T16:30:12+00:00",
"anniversary_review_date": "2026-10-30T16:30:12+00:00",
"terms_of_business_at": "2026-10-30T16:30:12+00:00",
"client_agreement_at": "2026-10-30T16:30:12+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-30",
"last_interaction_at": "2026-10-30 16:30:12",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-30T16:30:12+00:00",
"out_of_office_until": "2026-10-30T16:30:12+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"user": {
"uuid": "d1d69a37-b15c-44a7-9b9b-f680669bb0c8",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"type": "standard",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"two_factor_enabled": true,
"two_factor_setup_required": true,
"two_factor_type": "sms",
"otp_confirmed_at": "2026-10-30T16:30:12+00:00",
"otp_pending": false,
"sms_two_factor_enabled": true,
"two_factor_mobile": true,
"two_factor_mobile_meta": {
"country": "GB",
"formatted": "0333 090 3630"
},
"session_expires_at": "2026-10-30T16:30:12+00:00",
"remember_token_expires_at": true,
"should_auto_save_notes": true
},
"reactions": {
"uuid": "1fde3f1e-8d39-42f7-9b94-df268fcc4b13",
"created_at": "2026-10-30T16:30:12+00:00",
"updated_at": "2026-10-30T16:30:12+00:00",
"account_uuid": null,
"account_name": "Gareth Thompson",
"reaction": "like"
}
},
"messages_count": 30,
"files_count": 2,
"tags": [
{
"uuid": "dfd30b91-4140-4f37-8b2c-ce0b33088178",
"created_at": "2026-10-30T16:30:03+00:00",
"updated_at": "2026-10-30T16:30:03+00:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
}
],
"pinned": true,
"is_admin": false
}